/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VCoreForm;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VCoreFormRecord extends TableRecordImpl<VCoreFormRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_core_form.key_element</code>.
     */
    public void setKeyElement(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_core_form.key_element</code>.
     */
    public Integer getKeyElement() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_core_form.key_parent_element</code>.
     */
    public void setKeyParentElement(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_core_form.key_parent_element</code>.
     */
    public Integer getKeyParentElement() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.v_core_form.key_element_type</code>.
     */
    public void setKeyElementType(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_core_form.key_element_type</code>.
     */
    public Integer getKeyElementType() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.v_core_form.dn</code>.
     */
    public void setDn(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_core_form.dn</code>.
     */
    public String getDn() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.v_core_form.order_nr</code>.
     */
    public void setOrderNr(Integer value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_core_form.order_nr</code>.
     */
    public Integer getOrderNr() {
        return (Integer) get(4);
    }

    /**
     * Setter for <code>common_dd.v_core_form.short_name</code>.
     */
    public void setShortName(String value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.v_core_form.short_name</code>.
     */
    public String getShortName() {
        return (String) get(5);
    }

    /**
     * Setter for <code>common_dd.v_core_form.is_public</code>.
     */
    public void setIsPublic(Integer value) {
        set(6, value);
    }

    /**
     * Getter for <code>common_dd.v_core_form.is_public</code>.
     */
    public Integer getIsPublic() {
        return (Integer) get(6);
    }

    /**
     * Setter for <code>common_dd.v_core_form.hier_lang</code>.
     */
    public void setHierLang(String value) {
        set(7, value);
    }

    /**
     * Getter for <code>common_dd.v_core_form.hier_lang</code>.
     */
    public String getHierLang() {
        return (String) get(7);
    }

    /**
     * Setter for <code>common_dd.v_core_form.stage</code>.
     */
    public void setStage(Integer value) {
        set(8, value);
    }

    /**
     * Getter for <code>common_dd.v_core_form.stage</code>.
     */
    public Integer getStage() {
        return (Integer) get(8);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VCoreFormRecord
     */
    public VCoreFormRecord() {
        super(VCoreForm.V_CORE_FORM);
    }

    /**
     * Create a detached, initialised VCoreFormRecord
     */
    public VCoreFormRecord(Integer keyElement, Integer keyParentElement, Integer keyElementType, String dn, Integer orderNr, String shortName, Integer isPublic, String hierLang, Integer stage) {
        super(VCoreForm.V_CORE_FORM);

        setKeyElement(keyElement);
        setKeyParentElement(keyParentElement);
        setKeyElementType(keyElementType);
        setDn(dn);
        setOrderNr(orderNr);
        setShortName(shortName);
        setIsPublic(isPublic);
        setHierLang(hierLang);
        setStage(stage);
        resetChangedOnNotNull();
    }
}
